import { Device } from './value';
import * as logger from '../logger/logger';
import { Client, ClientOptions } from './BRTCClient';
import { LocalStream, StreamDeviceOption } from './BRTCStream';
export declare const Logger: typeof logger;
/**
 * 创建本地流实例
 *
 * @param options 配置项
 */
export declare function createStream(options: StreamDeviceOption): LocalStream;
/**
 * 创建 Client 实例
 *
 * @param options 配置项
 */
export declare function createClient(options: ClientOptions): Client;
/**
 * 判断是否支持 BRTC
 *
 * @returns
 */
export declare function checkSystemSupport(): Promise<boolean>;
/**
 * 判断是否支持屏幕分享
 *
 * @returns
 */
export declare function supportScreenSharing(): boolean;
/**
 * 获取设备权限
 */
export declare function getPermissions(): Promise<any>;
/**
 * 枚举音频输入设备
 *
 * @returns 设备列表
 */
export declare function enumAudioInputDevices(): Promise<Device[]>;
/**
 * 枚举音频输出设备
 *
 * @returns 设备列表
 */
export declare function enumAudioOutputDevices(): Promise<Device[]>;
/**
 * 枚举视频输入设备
 *
 * @returns 设备列表
 */
export declare function enumVideoDevices(): Promise<Device[]>;
/**
 * BRTC 版本号
 */
export declare const version: string;
